﻿-- English localization file for enUS and enGB.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local L = AceLocale:NewLocale("SpeakinSpell", "enUS", true)
if not L then return end


-------------------------------------------------------------------------------
-- THE NAME OF THIS ADDON
-------------------------------------------------------------------------------


-- the name SpeakinSpell is a reference to a children's toy from the early 1980s
-- see http://en.wikipedia.org/wiki/Speak_&_Spell_(game) for details
L["SpeakinSpell"] = "SpeakinSpell"


-------------------------------------------------------------------------------
-- SLASH COMMANDS (do not include the leading /)
-------------------------------------------------------------------------------


-- "/SpeakinSpell" prefix and abbreviations
L["/SpeakinSpell"] = "SpeakinSpell"
L["/speakinspell"] = "speakinspell"
L["/SS"] = "SS"
L["/ss"] = "ss"

-- parameters for "/ss something"
L["/options"]	= "options"		-- /ss options
L["/reset"]		= "reset"		-- /ss reset
L["/advertise"]	= "ad"	-- /ss advertise

-- text printed by "/ss help" or any unknown command
-- this can be a list of however many lines of text it takes to explain it
L["/help TEXT"] = [[
Usage Info for /SpeakinSpell (/ss)
/ss options - show options
/ss reset - reset to defaults
-------------
/ss ad - tell your friends about this addon (using a default channel)
/ss ad /p - tell your party about this addon (/s or /ra also works)
/ss ad /w stonaria - whisper to your friend Stonaria about this addon
]]


-------------------------------------------------------------------------------
-- YES AND NO
-------------------------------------------------------------------------------
-- These strings are used as buttons in popup message boxes


L["Yes"]= "Yes"
L["No"] = "No"
L["OK"] = "OK"


-------------------------------------------------------------------------------
-- CHAT CHANNEL NAMES
-------------------------------------------------------------------------------
-- These channel names are displayed as drop-down list options in the GUI


L["SAY"]			= "Say (/s)"
L["PARTY"]			= "Party (/p)"
L["RAID"]			= "Raid (/ra)"
L["BATTLEGROUND"]	= "Battleground (/bg)"
L["EMOTE"]			= "Emote (/em)"
L["YELL"]			= "Yell (/y)"
L["RAID_WARNING"]	= "Raid Warning (/rw)"
L["Silent"]			= "Silent" -- messages are disabled


-------------------------------------------------------------------------------
-- SUBSTITUTION TABLE
-------------------------------------------------------------------------------
-- These are the substitution variables which may be used in random speeches


L["<target>"] = "target" -- the target's name
L["<targetclass>"] = "targetclass" -- the target's name
L["<targetrace>"] = "targetrace" -- the target's name
L["<player>"] = "player" -- the player's name
L["<spellname>"] = "spellname" -- the name of a spell
L["<pet>"] = "pet" -- the name of the player's pet
L["<TM>"] ="TM" -- becomes the "trademark" symbol
L["<R>"] = "R" -- becomes the "registered trademark" symbol
L["<C>"] = "C" -- becomes the "Copyright (C)" symbol

-- error messages that are used if the variable above does not have any valid information
-- such as if you do not have a target or a pet
L["<no target>"] = "<no target>" -- text used in place of <target> if there is no target
L["<no target class>"] = "<no target class>" -- text used in place of <targetclass> if there is no target
L["<no target race>"] = "<no target race>" -- text used in place of <targetrace> if there is no target
L["<no pet>"] = "<no pet>" -- text used in place of <pet> if there is no pet


-------------------------------------------------------------------------------
-- POPUP MESSAGES
-------------------------------------------------------------------------------
-- NOTE: <spellname> must match the ["<spellname>"] entry above


L["POPUPTEXT_NOT_A_NEW_SPELL"] = [[You already have random messages configured for the spell

"<spellname>"]]


-------------------------------------------------------------------------------
-- OPTIONS GUI LABELS AND TOOLTIPS
-------------------------------------------------------------------------------


L["General Settings"] = "General Settings"
L["General Settings TOOLTIP"] = "General Settings for SpeakinSpell"

L["Message Settings"] = "Message Settings for spells, abilities, items, and proc effects"

L["Report detected spell events"] = "Report detected spell, ability, and proc events"
L["Report detected spell events TOOLTIP"] = [[Enable this option to make SpeakinSpell show you (and only you) all of your own spell casting events that it detects.  This includes any spell, ability, item, or automatically obtained effect (e.g. Trinkets or Talents) that you cast or use.  This can be useful for figuring out the name of the spell that is cast by an item, which is typically not the name of the item itself.]]

L["Select a Spell"] = "Select a Spell or Ability"
L["Select a Spell TOOLTIP"] = "Select a spell from the list to configure random speeches for that spell."

L["New Spell"] = "Add Spell"
L["New Spell TOOLTIP"] = "Add a new spell, ability, item's spell effect, or proc effect to the list"

L["Delete Spell"] = "Remove Spell"
L["Delete Spell TOOLTIP"] = "Remove the selected spell from the list"

L["Select the channels to use when announcing this spell when"] = "Select the channel to use for this spell, while..."

L["In a Battleground"] = "In a Battleground"
L["In a Battleground TOOLTIP"] = "Select which channel to use for this spell while in a Battleground"

L["In a Raid"] = "In a Raid"
L["In a Raid TOOLTIP"] = "Select which channel to use for this spell while in a Raid"

L["In a Party"] = "In a Party"
L["In a Party TOOLTIP"] = "Select which channel to use for this spell while in a Party"

L["By yourself"] = "By yourself"
L["By yourself TOOLTIP"] = "Select which channel to use for this spell while playing solo"

L["In Arena"] = "In Arena"
L["In Arena TOOLTIP"] = "Select which channel to use for this spell while playing in the Arena"

L["Whisper the message to your target"] = "Whisper the message to your target"
L["Whisper the message to your target TOOLTIP"] = [[
Enable whispering a message to the friendly target of your spell. Does not work for whispering to your current target when you use an ability on yourself.
]]

L["How often do you want to announce this spell?"] = "Select a random chance to say a message for this spell"
L["How often TOOLTIP"] = [[
You have a random chance to say a message each time you use the selected spell, based on this selected percentage.  100% will always speak. 0% will never speak.
]]

L["Cooldown on announcements for this spell"] = "Cooldown on messages for this spell (seconds)"
L["Cooldown TOOLTIP"] = [[
To prevent SpeakinSpell from speaking in the chat too often for this spell, you can set a cooldown for how many seconds must pass before SpeakinSpell will announce this spell again.]]

L["NEW SPELL INSTRUCTIONS"] = [[
Enter the name of a spell or ability that you want to trigger random speeches each time you use it.

The name of the spell/ability must be spelled exactly right, but is not case sensitive.

Non-magical abilities, melee actions, and proc effects may also be used.  Trinkets and other items may be used too, but you must enter the name of the item's spell effect, which is usually not the same as the item itself.

Specifying the rank is optional, only if you want to use different messages for different ranks
]]

L["Enter a new Spell Name"] = "Enter a new Spell Name"
L["Enter a new Spell Name TOOLTIP"] = [[Type the name of a spell, ability, item's spell effect, or proc effect that you want to trigger random speeches.]]

L["Cancel New Spell"] = "Cancel New Spell"
L["Cancel New Spell TOOLTIP"] = "Cancel entering the new spell and return to the previous interface."

L["ADD FIRST SPELL INSTRUCTIONS"] = [[You do not have any messages configured for any of this character's spells or abilities

Click "Add Spell" to get started]]

L["Random Speech i"] = "Random Speech %d" -- the %d will be replaced with a number 1 to 50
L["Random Speech i TOOLTIP"] = "Enter something funny to say here"


-------------------------------------------------------------------------------
-- ADDON MESSAGES (not random speeches - these are system/runtime messages)
-------------------------------------------------------------------------------


L["Loaded version %s"] = "Loaded version %s" -- the %s will be replaced with the current SpeakinSpell version number, for example "3.0.3.08"
L["Default settings restored"] = "Default settings restored"

L.ADVERTISEMENTS = {
	[[Like my "macros"?  Check out the addon SpeakinSpell. Good for any spell for any class]],
	[[Macros? MACROS?? I don't need no stinking macros! I got SpeakinSpell: It works for any ability for any class, way better than those lame macros.]],
	[[SpeakinSpell, the addon I'm using to generate all these macros, even comes with a macro for promoting it's macros, how sick is that?!]],
	[[Apologies if my spell announcements are too frequent - want me to make them play less often? This SpeakinSpell addon lets me do that based on a random chance or a cooldown.]],
	[[SpeakinSpell: the cure for the boring pug where nobody ever says anything!]],
	[[SpeakinSpell: the addon that does my roleplaying for me!]],
	[[You're right, some of my messages are a little weak, but I'm working on adding better ones. This addon SpeakinSpell lets me write my own for any spell.]],
	[[I'll have the eggs, spam, bacon, spam, spam, spam, spam, spam, and SpeakinSpell. How can you not like Spam?!]],
	[[SpeakinSpell: the new cheap alternative white meat in a can, not to be confused with that certain name-brand ham substitute...]],
	[[WARNING: shameless advertising inc! DUCK! Cover your eyes! Whatever you don't DO NOT VISIT THE LINK!]],
	[[This is another random message generated by the addon SpeakinSpell, as if you haven't seen enough already by now :P]],
	[[ZOMG SpeakinSpell is like, totally the coolest addon ever dude, totally, check it out, totally, ZOMG]],
	[[Random Tip #17: You can configure SpeakinSpell to raid-warn your main pull move as the main tank in a raid]],
	[[Random Tip #34: You can configure SpeakinSpell to raid-warn your battle-rez during a raid, or /yell it, or /say it, or /emote it, or /ra it, or /p it, or /bg it, or whisper it.]],
	[[SpeakinSpell... all the cool kids are using it, c'mon you know you want to.]],
	[[Random Tip #51: The numbered random tips that come up from time to time in these randomized ads for SpeakinSpell are numbered by 17s. Why? Who knows? /shrug]],
	[[No random message this time, sucka. Spam the website again to see a new random ad.]],
	[[My randomized spell announcements in chat are provided by SpeakinSpell, but I wrote all the messages myself.  Well, most of them.  Well, some of them.  Well, I've been MEANING to write some, but...]],
	[[My randomized spell announcements in chat are provided by SpeakinSpell, it's an addon you can get from curse, or wowmatrix, or this website]],
	[[I'm casting "/SpeakinSpell advertise" on that 1337 <targetrace> <targetclass>, <target|me>!]],
	[[Just look at this URL. It explains why I say so much in combat.]],
	[[Do you like to distract the healer with funny chat bubbles in combat??! Doesn't everyone??! Check out SpeakinSpell: it's Strudeltastic! (DISCLAIMER: not responsible for raid wipes, please use responsibly)]],
	[[Random Tip #68: Everything I say is false. Chew on that while you write witty speeches for SpeakinSpell]],
	[[Don't touch the sheep! Battle-rezzing <target>! Alt-tabbed downloading SpeakinSpell BRB!]],
	[[From the book of things that should not have to be said, but will be said anyway, in random funny ways, by my addon SpeakinSpell, page 103: Don't touch the sheep!]],
	[[I use SpeakinSpell for my macros, which aren't really macros BTW, it's an addon, which is a totally different thing. Totally Different. So... do you like my macros?]],
	[[I use SpeakinSpell for my macros, so I can easily move my speeches into party chat or something if the chat bubbles are buggin ya]],
	[[You can use SpeakinSpell too, it works for all classes, you just type in the name of any ability or spell, it's easy to set up]],
}

-------------------------------------------------------------------------------
-- THE DEFAULT MESSAGE FOR A NEW SPELL
-------------------------------------------------------------------------------


L["DEFAULT_NEW_SPELL_MESSAGE"] = "<player> is casting <spellname> on <targetrace> <targetclass> <target>"


-------------------------------------------------------------------------------
-- DEFAULT MESSAGE SETTINGS PER CLASS
-------------------------------------------------------------------------------
-- Translate random messages and spell names ONLY
-- Do not translate class names.
--		The UnitClass("player") API returns class names in capitalized english
-- Do not translate channel names.
--		The SendChatMessage API	requires uppercase english channel names, i.e. "SAY" etc
-- Ideally there should be at least 3 spells per class
-- and at least 10 messages per spell to keep it from getting repetitive


L.DEFAULT_DATA_PER_CLASS = {

-------------------------------------------------------------------------------
MAGE = {

	["ritual of refreshment (rank 2)"] = {
		Channels = {
			BG		= "SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
			Arena	= "PARTY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Ritual of Refreshment is being placed near <player> please click to assist",
			[2] = "C1ick 4 t@b1e",
			[3] = "Magic Biscuits, Brownies, and Goo-balls $5. CDs $10. T-shirts $15. Enjoy the concert!", -- reference to parking lots at Grateful Dead concerts
			[4] = "<player>'s Tasty Strudel<TM> - WARNING: may cause nauseu, loss of appetite, blindness, fear, stunlock, or spontaneous transmutation into a sheep, pig, or turtle. Consult your doctor before eating <player>'s Tasty Strudel<TM>", -- satire of prescription medicine ads
			[5] = "<player>'s Tasty Strudel<TM> - Now with 30% more Flavor Power!", -- as if that's a buff
			[6] = "<player>'s Tasty Strudel<TM> - Try all new Organic <player>'s Tasty Strudel<TM>! Now in Teriaki Tofu Flavor!",
			[7] = "<player>'s Tasty Strudel<TM> - It's Strudeltastic<TM>!!", -- spoof of a cereal box I saw that said "It's Cinnamontastic(TM)"
			[8] = "<player>'s Tasty Strudel<TM> - Now with +35 Stamina Buff!! (also-gives-minus-thirty-five-stamina-debuff-no-actual-buff-may-be-visible-consult-your-doctor-before-eating <player>'s Tasty Strudel<TM>)",
			[9] = "<player>'s Tasty Strudel<TM> - The Official Cereal of Beauty and the Beast VII: Beauty in Azeroth (sings) Be... a... pest! Be a pest! Put my patience to the test! RENT IT TODAY!", -- "Be Our Guest" was the overplayed song from the Disney film Beauty and the Beast 1
			[10]= "SHOWTIME: the feed-trough has been planted! Go on my dear piggies, grab and grunt for the win!"
		},
	},
	["ritual of refreshment (rank 1)"] = {
		Channels = {
			BG		= "SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
			Arena	= "PARTY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Ritual of Refreshment is being placed near <player> please click to assist",
			[2] = "C1ick 4 t@b1e",
			[3] = "Magic Biscuits, Brownies, and Goo-balls $5. CDs $10. T-shirts $15. Enjoy the concert!", -- reference to parking lots at Grateful Dead concerts
			[4] = "<player>'s Magical Biscuits<TM> - WARNING: may cause nauseu, loss of appetite, blindness, fear, stunlock, or spontaneous transmutation into a sheep, pig, or turtle. Consult your doctor before eating <player>'s Magical Biscuits<TM>", -- satire of prescription medicine ads
			[5] = "<player>'s Magical Biscuits<TM> - Now with 30% more Flavor Power!", -- as if that's a buff
			[6] = "<player>'s Magical Biscuits<TM> - Try all new Organic <player>'s Magical Biscuits<TM>! Now in Teriaki Tofu Flavor!",
			[7] = "<player>'s Magical Biscuits<TM> - It's Mannabiscuitalisious<TM>!!", -- spoof of a cereal box I saw that said "It's Cinnamontastic(TM)"
			[8] = "<player>'s Magical Biscuits<TM> - Now with +35 Stamina Buff!! (also-gives-minus-thirty-five-stamina-debuff-no-actual-buff-may-be-visible-consult-your-doctor-before-eating <player>'s Magical Biscuits<TM>)",
			[9] = "<player>'s Magical Biscuits<TM> - The Official Cereal of Beauty and the Beast VII: Beauty in Azeroth (sings) Be... a... pest! Be a pest! Put my patience to the test! RENT IT TODAY!", -- "Be Our Guest" was the overplayed song from the Disney film Beauty and the Beast 1
			[10]= "SHOWTIME: the feed-trough has been planted! Go on my dear piggies, grab and grunt for the win!"
		},
	},
	["polymorph"] = { -- if unspecified rank, this means sheep (or may be glyphed to penguin)
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "PARTY",
			Solo	= nil, --"SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Sheeping <target>",
			[2] = "<player> is casting polymorph on <target>",
			[3] = "<target> is getting in touch with his inner spirit animal",
			[4] = "Bah, <target>",
			[5] = "Admit it! You only want me to use Polymorph for pulling initial aggro.  Coward!",
			[6] = "Oh sure, you can't kill <target> fast enough so it falls on me to bend the laws of nature to turn it into a nice docile sheep. Sure, fine, no problem.",
			[7] = "Well that was sheep number 1567... I should have been a shepherd.",
			[8] = "1567, 1568, 1569, are you getting sleepy yet after counting all these sheep?",
		},
	},
	["ice block"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Is it cold in here, or is it just me?",
			[2] = "I am INVINCIBLE!",
			[3] = "Ice, ice, baby!",
			[4] = "Wonder Twin power activate! Form of an ice cube.", -- comic book reference
			[5] = "HELP! I got trapped in a walk-in freezer.",
			[6] = "Oops, I think I stepped in the hunter's ice trap.",
			[7] = "Brrrr!",
		},
	},
	["invisibility"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Now you see me, soon you won't",
			[2] = "If you can't see me, you can't hit me",
			[3] = "Repair costs? What's that? I'm a mage",
			[4] = "I have but one spell remaining that I have prepared for the day... sorry",
		},
	},
	["summon water elemental"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Yes, I AM a God!",
			[2] = "Let me introduce you to my little friend.",
			[3] = "Water never tasted so good",
			[4] = "Water: from the glass to the blast",
		},
	},
	["hot streak"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Cooldown = 180,
		Messages = {
			[1] = "I'm gonna light you up, sweet cheeks!", -- quote of Milhouse Manastorm NPC from the Arcatraz dungeon
			[2] = "Burn, baby, burn!",
			[3] = "I'm on FIRE, woot!",
			[4] = "Crit, crit, crit, BOOM!",
			[5] = "I'm on a hot streak!",
			[6] = "Whoa baby I'm on a roll!",
			[7] = "I'm on fire baby, watch out!",
			[8] = "OMFG I love to crit!",
			[9] = "RAWR! Eat py to the face!",
			[10]= "mmmmm... py",
		},
	},
	["mirror image"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "I'd like to introduce you to my cousin Darrel, and my other cousin Darrel, and my other cousin Darrel", -- reference to the Bob Newhart show
			[2] = "In case of emergency, the mages are here, here, here, and here", -- inspired by the Disney film Aladdin when Robin Williams says "the exits are here, here, here, here, and here"
			[3] = "I look pretty good if I do say so myself, and so do I, and so do I, and so do I",
			[4] = "And so begin the clone wars", -- reference to Star Wars
			[5] = "I'm the real <player>!  No I am!  No I'm the real <player>!  No, no, I'm the original <player>!",
		},
	},
	-- alliance portals
	["portal: ironforge"] = {
		Faction = "Alliance", -- do not localize/translate faction name -- UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.", -- satire on the Warlock summoning ability
			[3] = "Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??", -- if asked, a good answer is "my ex-girlfriend, yuck"
			[4] = "Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!", -- reference to Stargate:SG1
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.", -- people sell portals for an outrageous amoung of gold on my server
			-- city-specific
			[8] = "Next stop: Ironforge. Home to all things great and small.", -- "All Things Great and Small" is a PBS TV series.  Also, Dwarves and Gnomes are small
			[9] = "Hi ho, Hi ho, it's off to Ironforge we go!", -- reference to Snow White and the 7 Dwarves
			[10]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: stormwind"] = {
		Faction = "Alliance", -- do not localize/translate faction name -- UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Stormwind when we can summon Stormwind to us? Click to summon the city.",
			[3] = "Stormwind? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Stormwind, not the middle of the ocean, Stormwind...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Stormwind. Watch your step, don't fall into the canals. The sharks might get you.",
			[9] = "Why is it called Stormwind when there's never a storm or any wind there?",
			[10]= "Why would you want to go to Stormwind? Don't you see enough Humans in real life?",
			[11]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
			[12]= "If you bring me Betsey's dollie, I will pay you one 5000g.",
		},
	},
	["portal: darnassus"] = {
		Faction = "Alliance", -- do not localize/translate faction name -- UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Darnassus when we can summon Darnassus to us? Click to summon the city.",
			[3] = "Darnassus? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Darnassus, not the middle of the ocean, Darnassus...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Darnassus, where you can hear the crickets.", -- hardly anyone ever goes to Darnassus
			[9] = "Opening a portal to Darnassususs.. Darnsusas... Darna... uhh... Opening a portal to Darn",
			[10]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
			[11]= "Darn-your-asses, get your butt through the portal! Now!",
			[12]= "... Heading to Darnassus to pick up girls, huh? Good luck with that",
		},
	},
	["portal: exodar"] = {
		Faction = "Alliance", -- do not localize/translate faction name -- UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Exodar when we can summon Exodar to us? Click to summon the city.",
			[3] = "Exodar? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Exodar, not the middle of the ocean, Exodar...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Entering this portal will take you to the ends of the earth... I mean Exodar.", -- Exodar is pretty far out of the way and few people go there, but as a mage I find it extremely convenient
			[9] = "Ah yes, the Exodar... How did they crash into a PLANET??  That's what I want to know",
			[10]= "Opening a portal to the Exodar: the crashed spaceship that is the perfect example of why NOT to alt-tab while on auto-run",
			[11]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: theramore"] = {
		Faction = "Alliance", -- do not localize/translate faction name -- UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Theramore when we can summon Theramore to us? Click to summon the city.",
			[3] = "Theramore? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Theramore, not the middle of the ocean, Theramore...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = [[Tell Jaina I said "hi"]], -- the NPC Jaina Proudmore lives in Theramore
			[9] = "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
			[10]= "Please tell Jaina I'm sorry about what happened last night... I didn't wanted it to end that way *sigh*... I guess inviting the Tauren to join us was a bad idea after all.",
		},
	},
	-- horde portals
	["portal: orgrimmar"] = {
		Faction = "Horde", -- do not localize/translate, UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Orgrimmar when we can summon Orgrimmar to us? Click to summon the city.",
			[3] = "Orgrimmar? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Orgrimmar, not the middle of the ocean, Orgrimmar...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "WARNING: you might want to plug your nose before entering this portal. It smells like Orc where you're going.",
			[9] = "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: thunder bluff"] = {
		Faction = "Horde", -- do not localize/translate, UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.",
			[3] = "Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Now entering Thunder Bluff, where no one can hear you scream, probably because there's nobody else there",
			[9] = "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: undercity"] = {
		Faction = "Horde", -- do not localize/translate, UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Undercity when we can summon Undercity to us? Click to summon the city.",
			[3] = "Undercity? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Undercity, not the middle of the ocean, Undercity...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Opening a portal to Sewerville",
			[9] = "Which part of Undercity do you think smells better?  The sewage or the rotting flesh?",
			[10]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: silvermoon"] = {
		Faction = "Horde", -- do not localize/translate, UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Silvermoon when we can summon Silvermoon to us? Click to summon the city.",
			[3] = "Silvermoon? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Silvermoon, not the middle of the ocean, Silvermoon...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Next stop: Silvermoon, where mailboxes outnumber even the blood elves",
			[9] = "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: stonard"] = {
		Faction = "Horde", -- do not localize/translate, UnitFactionGroup("player") returns the English name -- this enables automatically removing portal spells from default data for mages of the wrong faction
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Ironforge when we can summon Ironforge to us? Click to summon the city.",
			[3] = "Ironforge? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Ironforge, not the middle of the ocean, Ironforge...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Opening a portal to Stonard. Grab me a phat herb bag full of merry mana pot while you're there, eh?", -- contains numerous obfuscated drug references to marijuana, spoofing similar-sounding words
			[9] = "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	-- neutral portals
	["portal: shattrath"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Shattrath when we can summon Shattrath to us? Click to summon the city.",
			[3] = "Shattrath? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Shattrath, not the middle of the ocean, Shattrath...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "So people still visit Shattrath, huh?", -- has been practically abandoned since players moved on to Dalaran
			[9] = "Oh Shatt, it's a portal",
			[10]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
	["portal: dalaran"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			-- general portal messages
			[1] = "Entering this portal will take you to a far away city.",
			[2] = "Why go to Dalaran when we can summon Dalaran to us? Click to summon the city.",
			[3] = "Dalaran? Really? Why would you want to go there? Honestly, do you know who LIVES there??",
			[4] = "Focus <player>, they want to go to Dalaran, not the middle of the ocean, Dalaran...",
			[5] = "DISCLAIMER: I got my portal license off the AH. Use at your own risk.",
			[6] = "... Chevron six encoded... Chevron seven LOCKED!",
			[7] = "Here's your portal. That'll be 2500g please. Hey the reagent isn't cheap... oh wait, yes it is, nevermind.",
			-- city-specific
			[8] = "Dalaran: it's not just for mages anymore", -- in the lore, Dalaran was built and ruled by mages
			[9] = "WTS portal to Dalaran: 18,899g... yeah it's a little more expensive than usual, but c'mon, how else am I gonna buy that war mammoth?",
			[10]= "Hurry up and go through the portal. The last person who waited too long lost his arm as it closed.",
		},
	},
},

-------------------------------------------------------------------------------
HUNTER = {

	["call pet"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Heeere fido! Here boy! Come!", -- Fido is a stereotypical name for dogs
			[2] = "Don't worry, he's friendly",
			[3] = "OK my pet's out now, so either he'll tank for us, or randomly pull aggro from a dozen mobs, we'll see...",
		},
	},
	["misdirect"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "No, no, go for <target>, he's the one biting your ankles!",
			[2] = "<target> insulted your mother, you gonna take that??",
			[3] = "<target> did it!",
		},
	},
	["feign death"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "I'm not quite dead yet", -- reference to Monty Python and the Holy Grail
			[2] = "Look ma, no health bar!", -- kids who become adept at riding bikes will say "Look ma, no hands"
			[3] = "Darn, I'm dead. No really!", -- it's a lie!
			[4] = "Repair costs? What's that? I'm a hunter!",
		},
	},
	["bestial wrath"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"RAID",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "YEARRGH! Feel the wrath of <pet>!",
			[2] = "Sick 'em, <pet>!",
			[3] = "<pet> kill! <pet> kill!",
		},
	},
},

-------------------------------------------------------------------------------
PRIEST = {

	["resurrection"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
	["desperate prayer"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Help me, Lord!",
			[2] = "Dear Lord, I promise to be a better priest if you help <target> live another day.",
			[3] = "Pater noster, qui es in caelis; Sanctificetur nomen tuum; Adveniat regnum tuum; Fiat voluntas tua, sicut in caelo, et in terra.", -- the Lord's prayer in Latin, good for any locale
		},
	},
},

-------------------------------------------------------------------------------
PALADIN = {

	["redemption"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
	["divine plea"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= nil, --"RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Please Light, Don't let me go OOM. If the tank dies again I'm getting gkicked.",
		},
	},
	["blessing of protection"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "You've got 10 seconds of bubble, <target>, bandage now if you got them!",
		},
	},
	["divine intervention"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "It's a wipe! <target> has a DI.",
			[2] = "DI is short for DIE in a good place, somewhere <target> will be able to rez you.",
			[3] = "I, I just died in your arms tonight. Must've been something I said...", -- from the lyrics to the song "Died in your Arms" by the Cutting Crew
		},
	},
	["exorcism"] = {
		Channels = {
			BG		= nil, --"BATTLEGROUND",
			Raid	= nil, --"RAID",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Cooldown = 120,
		Messages = {
			[1] = "The power of CHRIST compels you!", -- reference to the movie "The Exorcist"
		},
	},
	["divine favor"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Dear Lord, I need a favor",
			[2] = "Dear Lord, remember that one time I went to church back in '83? I need you to return the favor",
			[3] = "I pity the fool who don't respect the light!", -- spoof on Mr. T
		},
	},
	["lay on hands"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "I don't want anybody else, when I think about you, I touch your self", -- spoof of lyrics to the song "I Touch Myself" by the Divinyls
			[2] = "Don't ask me how I laid my hands on you from way over here, but I just did",
			[3] = "OH SHlT, OH SHlT, OH SHlT... HA! Fooled ya! :P",
		},
	},
	["hand of salvation"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "EMOTE",
			Party	= "EMOTE",
			Solo	= "EMOTE",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "rubs down <target> releasing some of the threat.",
			[2] = "slaps <target> with the backhand of salvation.", -- the backhand of salvation is a term coined by someone in my guild in vent chat one day
		},
	},
},

-------------------------------------------------------------------------------
DRUID = {

	["revive"] = { -- out of combat rez
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
	["rebirth"] = { -- battle rez
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
},

-------------------------------------------------------------------------------
WARLOCK = {

	["ritual of souls"] = { -- create soulwell
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Lock Candy! Get your lock candy here!", -- like Rock Candy
			[2] = "Mmmm cookies...", -- i've never known why Healthstones are commonly called cookies on my server
			[3] = "The green portal is better than the white one, click mine first!",
			[4] = "Click for hearthstones... oh no no not the ones that send you home, i mean the ones that give you health... stupid typo",
		},
	},
	["ritual of summoning"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Summoning <target> The Lazy, click to assist please",
			[2] = "If you click on the portal, someone named <target> will show up and do your job for you.",
			[3] = "Unscheduled off-world activation!", -- reference to Stargate:SG1
			[4] = "Step on board the Arcanum Taxi Cab! I am summoning <target>, please click on the portal.", -- modified from Necrosis
			[5] = "Welcome aboard, <target>, you are flying on the ~Succubus Air Lines~ to <player>...", -- taken from Necrosis
			[6] = "If you do not want a sprawling, phlegm-looking, asthmatic creature to come from this portal, click on it to help <target> find a path through Hell as quickly as possible!", -- taken from Necrosis
			[7] = "Conjuring an Arcane Taxi Cab for <target>, please click the portal for the slacker please.", -- modified from Necrosis
		},
	},
	["soulstone resurrection"] = { -- NOTE: this is the name of the spell that is cast by using the Demonic Soulstone item
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "It's OK if we all die.  <target> has a soul stone",
			[2] = "<target> is stoned... whoa, heavy", -- a reference to the hippie culture of the 1960s
			[3] = "If you cherish the idea of a mass suicide, <target> can now self-resurrect, so all should be fine. Go ahead.", -- taken from Necrosis
			[4] = "<target> can go afk to drink a cup of coffee or something, soulstone is in place to allow for the wipe...", -- taken from Necrosis
			[5] = "<target> is soulstoned... full of confidence tonight aren't we?!", -- modified from Necrosis
		},
	},
},

-------------------------------------------------------------------------------
SHAMAN = {

	["ancestral spirit"] = {
		Channels = {
			BG		= "BATTLEGROUND",
			Raid	= "RAID",
			Party	= "PARTY",
			Solo	= "SAY",
		},
		WhisperTarget = true,
		Messages = {
			[1] = "Rezzing <target>",
			[2] = "<target>, don't go into the light, return to the land of the living!",
			[3] = "Rise, <target>, and live again!",
			[4] = "Get yer lazy bones up!",
			[5] = "The hand of God reaches down and brings <target> back to life",
		},
	},
},

-------------------------------------------------------------------------------
DEATHKNIGHT = {

	["death grip"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Get over here, <target>!",
			[2] = "Hey <target>, let go of my yo-yo!",
		},
	},
	["raise dead"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "It's alive... ALIVE!!!", -- reference to an early Frankenstien movie
			[2] = "Rise, my undead puppet, and do my bidding!",
		},
	},
},

-------------------------------------------------------------------------------
WARRIOR = {

	["charge"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "CHARGE!!!",
			[2] = "Vroom Vroom!", -- I once knew a druid who learned how to write macros so she could say this when she charged in bear form
		},
	},
	["demoralizing shout"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "RAWR! You're sad now!",
			[2] = "You're GF likes me better! Ha!",
		},
	},
	["taunt"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Cooldown = 60,
		Messages = {
			[1] = "Get out of my sight you english kenniggits, or I shall be forced to taunt you a second time!", -- reference to Monty Python and the Holy Grail
			[2] = "Your mother was a hamster and your father smelt of elderberries!", -- reference to Monty Python and the Holy Grail
			[3] = "You hit like a small child!",
			[4] = "You hit like a girl!",
			[5] = "The fight is over here, coward!",
			[6] = "Ni! Ni!",
		},
	},
	["shield wall"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= "EMOTE", --"SAY",
			Party	= "EMOTE",
			Solo	= "EMOTE",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "raises a shield",
			[2] = "hides behind a shield",
			[3] = "cowers behind a shield",
			[4] = "raises a shield and cries NOT IN THE FACE! NOT IN THE FACE!",
		},
	},
},

-------------------------------------------------------------------------------
ROGUE = {

	["vanish"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Now you see me, now you don't",
			[2] = "Now where was I? Ah yes...", -- quote of Moroes, a rogue-class boss in Karazan
			[3] = "Repair costs? What's that? I'm a rogue",
			[4] = "A little vanishing cream for the rouge, maybe some eye liner...",
		},
	},
	["evasion"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "Ha ha you can't touch me!",
			[2] = "Float like a butterfly - sting like a bee!", -- Muhammad Ali
			[3] = "Evade... Evade... Evade... why isn't this giving me full health like it does for mobs?",
		},
	},
	["sprint"] = {
		Channels = {
			BG		= nil, --"SAY",
			Raid	= nil, --"SAY",
			Party	= "SAY",
			Solo	= "SAY",
		},
		WhisperTarget = false,
		Messages = {
			[1] = "I'm faster than a speeding bullet!", -- reference to superman
			[2] = "Go speed racer, go!", -- pop culture reference
			[3] = "lol have fun with the mob, moron, I'm saving my own skin!",
			[4] = "Run away! Run away!", -- reference to Monty Python and the Holy Grail
			[5] = "Brave Sir Robin ran away, he bravely ran away away!", -- reference to Monty Python and the Holy Grail
			[6] = "I am the fastest mouse in all of Mehico! Arriba! Arriba! Ándale! Ándale!", -- Speedy Gonzales
			[7] = "Sorry if I'm moving too fast for you baby, but this is how I roll",
		},
	},
},

-------------------------------------------------------------------------------
} -- end DEFAULT_DATA_PER_CLASS

